API referenceWhatsapp accounts
GET
/whatsapp/api/v1/accounts/{id}

Authorization

X-API-KEY<token>

Your API key from the console (gw_live_…).

In: header

Path Parameters

id*string

A WhatsApp account id (wa_…).

Match^wa_[A-Za-z0-9_-]{8,64}$

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/whatsapp/api/v1/accounts/wa_Xk2pQ9rT4vW8yZ1a"
{  "object": "Account",  "id": "wa_Xk2pQ9rT4vW8yZ1a",  "type": "WHATSAPP",  "name": "Jane Doe",  "created_at": "2026-10-25T10:00:00.000Z",  "connection_params": {    "im": {      "phone_number": "33612345678"    }  },  "groups": [],  "sources": [    {      "id": "wa_Xk2pQ9rT4vW8yZ1a_MESSAGING",      "status": "OK"    }  ],  "gateway": {    "status": "active",    "reason": null,    "detail": null,    "connection": "open",    "proxy": {      "network_type": "residential",      "country": "FR",      "ip": "203.0.113.40",      "city": "Lyon",      "isp": "Example Telecom",      "changed_at": "2026-10-25T10:00:05.000Z",      "checked_at": "2026-10-31T09:30:00.000Z"    },    "checkpoint": null,    "lid": "123456789012345@lid",    "linked_at": "2026-10-25T10:01:00.000Z",    "last_open_at": "2026-10-31T09:30:00.000Z",    "new_chat_quota": null,    "new_chats_block": null  }}